For the complete documentation index, see llms.txt. This page is also available as Markdown.

Account balances

Creates asynchronous job for retrieving account balances data. Use the /jobs endpoint to poll job's status. The result file when downloaded will contain a newline-delimited JSON stream of BlockchainJobAccountBalance objects.

put
Authorizations
api_keystringRequired

Coin Metrics API key can be specified as ?api_key= query parameter.

Body
assetsanyRequired

Comma separated list of assets, or wildcard (*) for all supported assets.

accountsstring[]Required

Account ids. For ETH_CL, this can either be a validator public key or a validator index.

at_timestring · date-timeOptional

Indicates the point in time for which the set of account balances will be returned.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
UTC timezone by default. Z suffix is optional.
Mutually exclusive with at_height and at_slot.
Specifying either at_time or at_height / at_slot parameter is mandatory.

at_slotinteger · int64Optional

Indicates the slot for which the set of account balances will be returned.
Mutually exclusive with at_height and at_time.
Specifying either at_slot or at_height / at_time parameter is mandatory.
Not compatible with requests containing more than one asset.

at_heightinteger · int64Optional

Indicates the block height for which the set of account balances will be returned.
Mutually exclusive with at_slot and at_time.
Specifying either at_height or at_slot / at_time parameter is mandatory.
Not compatible with requests containing more than one asset.

Responses
200

Details of just created job.

application/json
job_idstringRequired

Job ID.

job_urlstringRequired

Job URL.

put/blockchain-job/account-balances
curl -X PUT --compressed "https://api.coinmetrics.io/v4/blockchain-job/account-balances?api_key=<your_key>" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "assets=sol" \
  --data-urlencode "accounts=account1,account2" \
  --data-urlencode "at_time=2024-07-04T00:00:00.000000000Z"
{
  "job_id": "ZjRjZDE2N2EtYzljYy00MjQ5LTk4ZWYtOTlkZDljZTE1ZDU3OjgzNTZkODQyLTA5ODMtNGM2NC1hMGE5LWY5MzBhZTMxODFiZg",
  "job_url": "https://api.coinmetrics.io/v4/jobs?api_key=<your_key>&ids=ZjRjZDE2N2EtYzljYy00MjQ5LTk4ZWYtOTlkZDljZTE1ZDU3OjgzNTZkODQyLTA5ODMtNGM2NC1hMGE5LWY5MzBhZTMxODFiZg"
}

Last updated